Como instalar drivers ATI no openSUSE 12.1

Chegamos a 2012, molecada! E continuamos pisando fundo no acelerador. Começamos esse ano com tudo logo no primeiro dia do ano trazendo para vocês mais um tutorial massa do openSUSE 12.1. Muitos estão em dúvida de como instalar o driver de vídeo das placas ATI no openSUSE devido a falta de um repositório oficial para as placas dessa marca. Nós do MeuPinguim já falamos e vamos repetir: prefira sempre placas NVIDIA para usar com Linux. Elas são completamente suportadas em todas as distros Linux e são muito mais fáceis de instalar. Já as placas ATI dão mais trabalho e o resultado nunca é dos melhores. Pode exigir que você reinstale o driver de vídeo a cada atualização do Kernel. Mas vamos ao que interessa.

Instalação

Primeiro você vai baixar o driver de vídeo do site oficial da ATI. Depois você vai abrir o YAST/terminal e colocar pra instalar os seguintes pacotes:

sudo zypper install kernel-source kernel-devel kernel-default-devel kernel-desktop-devel gcc gcc++ make

Agora reinicie o sistema e abra o terminal como root digitando:

user@linux:>$ su

Agora vá com o comando CD para a pasta onde está o driver que você baixou do site da ATI e digite:

sh ati-driver-installer-*.run

Instale sem gerar o pacote para a distribuição. Depois vá para o arquivo /usr/share/ati fglrx-install.log e verifique se no fim dele existe a linha “build succeeded with return value 0 duplicating results into driver repository…done.”. Agora digite:

aticonfig --initial

Terminando o processo, reinicie a máquina e acabou.

Desinstalar

Abra o terminal, comande SU para virar root e digite:

sh /usr/share/ati/amd-uninstall.sh

Atualização em 11/03/2012

Via Repositório

Para instalar via repositório, comande conforme abaixo como root:

# zypper ar -f http://geeko.ioda.net/mirror/ati/openSUSE_12.1/ fglrx

Para 64 bits:

# zypper in fglrx64_xpic_SUSE121

Para 32 bits:

# zypper in fglrx_xpic_SUSE121

Reinicie o computador para ativar o driver.

Helbert Rocha

Business & Linux Admin | Digital Mkter | Live in Rio | Love Jesus
Google+

  • Charles
    Firefox 9.0.1 Firefox 9.0.1 no GNU/Linux x64 GNU/Linux x64

    Muito bom o Artigo , funcionou muito bem aqui , Muito Obrigado

  • josiano
    Firefox 7.0.1 Firefox 7.0.1 no GNU/Linux x64 GNU/Linux x64

    muito obrigado! funcionou beleza!

  • Igor
    Firefox 9.0.1 Firefox 9.0.1 no GNU/Linux x64 GNU/Linux x64

    Excelente…
    Funcionou direitinho no meu notebook com openSuse 12.1 e ati radeon HD 6470M (DDR3 1 GB).

    Até agora tudo nos conforme.

  • BGGATOR
    Firefox 9.0.1 Firefox 9.0.1 no GNU/Linux x64 GNU/Linux x64

    Estou usando o opensuse 12.1 KDE pela sua velocidade e estabilidade, reinstalei os drivers como mencionou acima melhorou mais ainda esta faltando performance, tem algum dica ?? tenho uma ati radeon 5770 numa MB asus / 4gb ram / Hd 7200/ CPU phenon 3.0
    quando usava win7 a placa de video subia alto os cooler no linux nem se escuta…
    bom aguardo comentarios se puder.
    abraços
    BGGATOR

    MeuPinguim responde: Oi BGGATOR. Não há nada errado com o seu PC. Acontece que o Linux otimiza a utilização dos recursos da sua máquina. Então é natural que os coolers não fiquem a todo vapor sem necessidade no Linux. Se a placa foi reconhecida pelo OpenSUSE, nada mais há a fazer. Apenas curtir. Abraço e volte sempre.

  • Rosberg
    Google Chrome 17.0.963.56 Google Chrome 17.0.963.56 no GNU/Linux x64 GNU/Linux x64

    Muitíssimo obrigado meu amigo!!!
    \o\

  • Alex
    Firefox 7.0.1 Firefox 7.0.1 no GNU/Linux x64 GNU/Linux x64

    build succeeded with return value 0 duplicating results into driver repository…done. nao apareceu pra mim, fica dando error toda vez
    o que faco?
    Bom eu estou começando agora no linux, gostaria de ter o msn de alguns de vocês para que eu possa tirar minhas duvidas, e difícil achar fórum do Opensuse.

    MeuPinguim responde: Alex, nos informe qual o erro que deu. Na maioria das vezes que há um erro no Linux, o sistema fala com você qual é o erro. O Linux tem como amigo primordial o Google. Sempre que você tiver problemas, busque o problema no Google e na maioria das vezes alguém já passou pela experiência antes e tem a solução. Busque pela frase do erro, pelo nome da distro, etc e cairá em um tópico de fórum com a solução. Senão, abra um tópico em um fórum de Linux. Mas esse artigo foi escrito quando não havia um repositório pro driver. Hoje já existe e é mais fácil usar ele. Vou adicionar no artigo como usá-lo. Atendimento via mensageiro nós não podemos fazer pois não haveria como atender a todos. E nem tudo nós sabemos, né? Estamos aprendendo juntos. Sempre. Abraço e volte sempre.

  • Alex
    Firefox 7.0.1 Firefox 7.0.1 no GNU/Linux x64 GNU/Linux x64

    O manim valeu, bom realmente eu consegui instalar pelo repositório porem, eu noto que minhas telas estão lentas ao serem arrastadas, eu acesso o catalyst normal, porem os efeitos estão lentos e tudo mais. Quando isso acontece você tem alguma ideia do que pode ser?

    MeuPinguim responde: Só vendo suas configurações de efeitos de desktop para saber se estão compatíveis com a sua placa. Aconselho você a reduzir esses efeitos, porque afinal, é tudo perfumaria. Não serve pra nada a não ser deixar a máquina lenta. A filosofia do Linux é KISS (Keep It Simple, Stupid). Tudo simples e funcional. Que é o que nos interessa. Abraço e volte sempre.

  • Alex
    Firefox 7.0.1 Firefox 7.0.1 no GNU/Linux x64 GNU/Linux x64

    nailerdigital@DigitalNailer:~> glxgears
    X Error of failed request: BadRequest (invalid request code or no such operation)
    Major opcode of failed request: 138 (ATIFGLEXTENSION)
    Minor opcode of failed request: 66 ()
    Serial number of failed request: 13
    Current serial number in output stream: 13
    ta dando isso ai
    Nossa foi mal eu nao respondi eu tinha aberto outro topico, mas e ai quanto ao meu erro o que acha?

    MeuPinguim responde: O que acontece. Como o primeiro tutorial é através do driver direto da ATI que é compilado, ele vem puro para todas as distros Linux e não vem customizado para o openSUSE. Ele exige uma série de configurações para algumas placas. E foi o seu caso. Em outras funciona sem essa necessidade. Já o pacote do repositório do openSUSE vem adequado para o openSUSE e não precisa dessas configurações. Por isso sempre dê preferência a pacotes do repositório da distro que você usa. Isso é um erro de configuração que iria te exigir mais uma meia dúzia de comandos para funcionar. Só isso. Abraço e volte sempre.

  • Carlos
    Firefox 11.0 Firefox 11.0 no GNU/Linux GNU/Linux

    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    which: no XFree86 in (/usr/bin:/bin:/usr/sbin:/sbin)

    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:3.1.0-1.2-desktop; make sure that the version is being
    correctly set by –iscurrentdistro

    Removing temporary directory: fglrx-install.KO2PoQ

    pacotes …OK
    baixei o driver tb…
    naum sei o pq do erro.. alguem pode me ajudar??

    MeuPinguim responde: Pelo que me consta segundo alguns tópicos em fóruns, isso é incompatibilidade de versão do Kernel com a versão do driver da ATI. Só resolve quando atualizar o driver ATI ou com um downgrade no Kernel.

  • Robson
    Google Chrome 26.0.1410.64 Google Chrome 26.0.1410.64 no Windows 7 Windows 7

    Helbert, vc poderia explicar o que cada sintaxe faz? Os iniciantes, na maioria da vezes só fazem Ctrl+c e Ctrl+v. Forte abraço.

    MeuPinguim responde: Ok. Obrigado pela dica. Abraço.

  • murilo
    Google Chrome 27.0.1425.0 Google Chrome 27.0.1425.0 no openSUSE x64 openSUSE x64

    Boa noite Helbert,
    andei peregrinando vários foruns que trata de instalacao de driver de video ati radeon hd7500series para openSUSE,12.3 achei muitos, mas não tive sucesso na instalação. A última tentativa até consigui fazer rodar porêm quando reiniciei a máquina voltou sem os efeitos. Sou iniciante e estou realmente precisando de ajuda. Agradeço. A máquina é um notebook inspiron 14z 5423, não sei isso ajuda.
    Agradeço novamente se puderes responder.

    MeuPinguim responde: Já tentou esse driver aqui? Em seguida instale segundo os procedimentos contidos aqui nesse PDF. Boa sorte.

  • Toni Lopes
    Firefox 25.0 Firefox 25.0 no GNU/Linux x64 GNU/Linux x64

    Olá amigo!
    Tenho um note da dell com o opensuse12.3 instalado. Fiz os procedimentos acima descrito, porém no final da instalação aparece: /usr/bin/aticonfig: no supported apapters detected. switch to amd.
    fazendo um lspci, aparecem dois adaptadores de video: intel corporation haswell-ult integrated grafics controller e advanced micro devices [amd] nee ati radeon hd 8800m series.

    Também durante a instalação, no summary report aparece:
    kernel => 3.7.10-1.1-desktop
    detected => rpm package
    build => [ ok ]
    install => [ ok ]
    e
    kernel => 3.7.10-1.16-desktop
    detected => rpm package
    build => [ ok ]
    install => [ ok ]
    Eu já tentei os pacotes do site da amd, esses da geeko e nenhum funciona, para piorar, nem consigo mais entrar no ambiente gráfico. Durante a inicialização, quando chega em:
    [ ok ] reached target graphical interface. Ele para e não anda mais.
    Você tem algum “bizu” do que fazer? Obrigado.

    MeuPinguim responde: Olá. Você tem que instalar esse driver aqui: http://support.amd.com/en-us/kb-articles/Pages/Latest-LINUX-Beta-Driver.aspx
    Ele possui os drivers para as placas AMD Radeon™ HD 8800M Series, que é o seu caso. A outra placa detectada é a placa de vídeo Intel on-board. Espero ter ajudado.